<template lang="pug">
section.section.apps-section
  .section__inner.apps-section__inner
    .apps-section__bg(
      v-if="bg"
      :style="{ backgroundImage: `url(${bg})` }"
    )
      .apps-section__img(v-if="screenshots")
        // img(src="/images/apps.png" srcset="/images/apps.png 1x, /images/apps@2x.png 2x" alt="")
        img(:src="screenshots" alt="")

    .container
      .apps-section__text
        .section-heading.section-heading--mb-md.apps-section__heading(v-if="content || title")
          h2.section-heading__title.section-heading__title--large.apps-section__title(v-if="title")
            div(v-html="title")

          .html-block.section-heading__subitlte(v-if="content" v-html="content")

        .apps-stores
          a(
            v-if="appstoreLink"
            :href="appstoreLink"
            target="_blank"
            rel="nofollow"
          )
            img(src="/images/appstore.svg" alt="")

          a(
            v-if="googlePlayLink"
            :href="googlePlayLink"
            target="_blank"
            rel="nofollow"
          )
            img(src="/images/google_play.svg" alt="")
</template>

<script>
import objectFitImages from 'object-fit-images'

export default {
  name: 'AppsSection',

  mounted () {
    objectFitImages()
  },

  props: {
    appstoreLink: {
      type: [String, null],
      required: false,
      default: null
    },
    bg: {
      type: [String, null],
      required: false,
      default: null
    },
    content: {
      type: [String, null],
      required: false,
      default: null
    },
    googlePlayLink: {
      type: [String, null],
      required: false,
      default: null
    },
    screenshots: {
      type: [String, null],
      required: false,
      default: null
    },
    title: {
      type: [String, null],
      required: false,
      default: null
    }
  }
}
</script>
